#ifndef __CALPROCESS_H__
#define __CALPROCESS_H__

#include <QObject>
#include <QProcess>

class CalProcess : public QObject
{
    Q_OBJECT

public:
    explicit CalProcess(QObject *parent = nullptr);
    ~CalProcess();

    void start(const QString &configure);
    void stop();
    void restart(const QString &configure = QString(""));

    bool isRunning();

private:
    QProcess m_process;

};

#endif  // CALPROCESS_H